PRELOAD(8)

NAME
preload - Adaptive readahead daemon

SYNOPSIS
preload [OPTION]...

DESCRIPTION
preload is an adaptive readahead daemon that prefetches files mapped by applications from the disk to reduce application startup time.

-h, --help
    Display command line parameters and their default values, and exit.

-v, --version
    Display version information and exit.

-c, --conffile
    Set configuration file. Empty string means no conf file. (default is /etc/preload.conf)

-s, --statefile
    Set state file to load/save. Empty string means no state. (default is /var/lib/preload/preload.state)

-l, --logfile
    Set log file. Empty string means to log to stderr. (default is /var/log/preload.log)

-f, --foreground
    Run in foreground, do not daemonize.

-n, --nice
    Nice level. (default is 15)

-V, --verbose
    Set the verbosity level. Levels 0 to 10 are recognized. (default is 4)

-d, --debug
    Debug mode: --logfile '' --foreground --verbose 9

SIGNALS

On receipt of a SIGHUP, the daemon will close and reopen its log file, and reread the configuratoin file.

On receipt of a SIGUSR1, the daemon dumps the currently loaded configuration into the log file.

On receipt of a SIGUSR2, the daemon saves its state into the state file.

AUTHOR
Written by Behdad Esfahbod <behdad@gnu.org>

REPORTING BUGS
Report bugs to <http://preload.sf.net/bug>

COPYRIGHT
Copyright © 2005,2006,2007,2008 Behdad Esfahbod.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.